Gda.SqlSelectJoin – Gda-6.0 Reference Manual

# SqlSelectJoin

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_select_join_get_type ()" ) ]
[ Compact ]
public class SqlSelectJoin
Namespace: Gda
Package: Gda-6.0

## Content:

### Static methods:

- public static unowned string type_to_string (SqlSelectJoinType type)

### Creation methods:

- public SqlSelectJoin (SqlAnyPart parent)

### Methods:

- public SqlSelectJoin copy ()
- public void free ()
- public string serialize ()

### Fields:

- public unowned SqlAnyPart any
- public unowned SqlExpr expr
- public int position
- public SqlSelectJoinType type
- public unowned SList<void*> use